# Angular2 Readme.md Generator for components.

According to component development (in team or not), generating a component must be follow by adding a template of the result.
This result can provide a Description, a name of the component, and a list of its attributes.

**This NPM MODULE is due to make your life easier**

## How to install ?
```shell
$ sudo npm install -g generate-angular2-component-readme
```
## How to run ?
Got to the directory of the component needed and simply run:

```shell
$ gen-md-comp
```

Then You will have to fill in the option:
- Author(s): **REQUIRED** names of the authors
- Name of the component: **REQUIRED** name of the component
- Description of the component:  Description is component, not required but we recommend for you to put one
- Properties: **REQUIRED** Properties separated with space like : toto:string tata:number
- Image link:  provide a image github link

#### Example src/app/components/panel:

```shell
$ gen-md-comp

// Generate Readme.md for component in Angular2 project, please fill informations.
// prompt: Author(s) of the component:  Maxime Dooe
// prompt: Name of the component:  Panel
// prompt: Description of the component:  The description of the component
// prompt: Properties, separated with space ex: textToto:string numberToto:number:  nameOfElement:string element:number listOfElements:string[]
// prompt: Image link:  http://fakLink
```
When you will run your *angular2 readme generate* command you will have:

```code
src
|-->app
|------->components
|------------|------>panel
|-----------------------|-->panel.component.ts
|-----------------------|-->panel.component.html
|-----------------------|-->panel.component.spec.ts
|-----------------------|-->README.md // added readme.md file
|-----------------------|-->panel.png // image of panel component that you should take before
```

# Future usages
For future usage we want to include the generation of the Readme.md directly in the [angular-cli(https://github.com/angular/angular-cli)] commands when creating a component.
```shell
$ ng g component src/app/components/panel
// Generate panel component and its Readme
```
