#!/usr/bin/env node

var fs     = require('fs'),
    prompt = require('prompt'),
    color  = require('colors');

(function generateReadmeForAngular2Component() {
    console.log("\n Generate Readme.md for component in Angular2 project, please fill informations.".green);

    prompt.start();
    prompt.get([
        {
            name:'author',
            required: true,
            message: "Author(s) of the component".blue
        },
        {
            name: 'component',
            required: true,
            message: "Name".green + " of the component".blue
        },
        {
            name: 'description',
            message: "Description".green + " of the component".blue
        },
        {
            name: 'props',
            required:true,
            message:  "Properties,".green + " separated with space ex: textToto:string numberToto:number".blue
        },
        {
            name: 'image',
            message:  "Image link".green
        }
        ], function(err, result) {
            console.log("\n Informations provided: ".green);
            console.log("\n Author(s) ".green + result.author);
            console.log("\n Name of the component ".green + result.author);
            console.log("\n Description ".green + result.author);
            console.log("\n Attributes ".green, result.props);

            writeReadme(result);
    });
})();

/**
 * 
 * @param {*} informations 
 */
function writeReadme(informations) {
    var constructContent = getContent(informations);
    fs.writeFile(process.cwd() + "/README.md", constructContent, function(err, result) {
        console.log('\n File written in: '.white + process.cwd() + "/README.md " + " successfully.".green);
    });
}

function getContent(informations) {
    var attribs = "";
    informations.props.split(" ").forEach(function(attribute){
        attribs += "- " + attribute + "\n";
    });
    return "# " + informations.component + " component for Angular2. \n"
        +  "*** \n"
        +  "## Author \n"
        +  " Here are the creators of the component: " + informations.author + "\n"
        +  "## Description \n "
        +  informations.description + "\n"
        +  "## Properties \n"
        +  attribs + "\n";
}
